Subject: Re: Problem completing remotes when .git/remotes exits

From: SZEDER Gábor <[email-masked]>
Date: Wed, 26 Sep 2012 03:09:38 +0200

On Wed, Sep 26, 2012 at 01:00:45AM +0200, SZEDER Gábor wrote:
> But then it got me thinking...  Notice how much effort we spend just
> to get the list of remotes?  We could just run 'git remote' directly
> instead...

Actually, we can't, because 'git remote' doesn't seem to list remotes
stored under .git/remotes.  Is that intentional?

Anyway, we could still use 'git remote' to replace at least the config
query and the for loop to spare a few lines of code and a subshell.